Get Standard Test Detail

Prev Next
Get
/api/v1/Authoring/projects/{projectId}/tests/{testId}

Returns information about a specified standard test

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Project containing the test

testId
integer (int32) Required

Standard test to retrieve

Responses
200

OK

Expand All
object
detail
object (Configuration.Api.Models.v1.TestDetail)
testId
integer (int32) | null

The test's ID

name
string | null

The test's name

description
string | null

The test's description

leftDataSet
object (Configuration.Api.Models.v1.TestDataSet)
testDataSetTypeId
integer (int32) | null

The test data set's type ID

dataSourceId
integer (int32) | null

The test data set's data source ID

objectId
integer (int32) | null

The test data set's object ID

objectText
string | null

The test data set's object text

configurationJson
string | null

The test data set's configuration, written in JSON

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The test data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

rightDataSet
object (Configuration.Api.Models.v1.TestDataSet)
testDataSetTypeId
integer (int32) | null

The test data set's type ID

dataSourceId
integer (int32) | null

The test data set's data source ID

objectId
integer (int32) | null

The test data set's object ID

objectText
string | null

The test data set's object text

configurationJson
string | null

The test data set's configuration, written in JSON

metaLinks
Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null

The test data set's meta links

object
levelId
integer (int32)

The meta link's level ID

objectId
integer (int32)

The meta link's object ID

includeForCoverage
boolean

Whether the meta link is included in trust score coverage

valueSuccessConditionTypeId
integer (int32) | null

The test's value success condition type ID

valueSuccessTolerance
number (double)

The test's value success tolerance

valueSuccessToleranceDisplay
string | null

The test's value success tolerance display

overallSuccessConditionTypeId
integer (int32) | null

The test's overall success condition type ID

overallSuccessTolerance
number (double)

The test's overall success tolerance

overallSuccessToleranceDisplay
string | null

The test's overall success tolerance display

resultsAreOrdered
boolean

Whether results are ordered

onlyKeepFailures
boolean

Whether to keep only failures

abortAfterFailures
boolean

Whether to abort after a certain amount of failures

abortFailureCount
integer (int32) | null

The amount of failures allowed before aborting

abortAfterRows
boolean

Whether to abort after a certain amount of rows

abortRowCount
integer (int32) | null

The amount of rows allowed before aborting

purgeResults
boolean

Whether to purge results

purgeResultsAfterDays
integer (int32) | null

Number of days after which to purge results

transferLabels
boolean

Set whether to transfer labels

versionId
integer (int32) | null

The test version ID

dataSources
Array of object (Configuration.Api.Models.v1.TestDataSource) | null

The test's data sources

object
hasMetadata
boolean

Whether the data source has metadata

canViewMetadata
boolean

Whether the user can view metadata

isActive
boolean

Whether the data source is active

id
integer (int32)

The object's ID

name
string | null

The object's name

dataSetTypeCombinations
Array of object (Configuration.Api.Models.v1.DataSetTypeCombination) | null

The test's data set type combinations

object
targetSetTypes
Array

List of target set types

OneOf
Configuration.Api.Models.v1.DataSetType
object (Configuration.Api.Models.v1.DataSetType)
isScalar
boolean

Whether the data set type is scalar

requiresDataSource
boolean

Whether the data set type requires a data source

requiresMetadata
boolean

Whether the data set type requires metadata

id
integer (int32)

The object's ID

name
string | null

The object's name

Configuration.Api.Models.v1.DataSetTypeCombination
isScalar
boolean

Whether the data set type is scalar

requiresDataSource
boolean

Whether the data set type requires a data source

requiresMetadata
boolean

Whether the data set type requires metadata

id
integer (int32)

The object's ID

name
string | null

The object's name

metaLinkItems
Array of object (Configuration.Api.Models.v1.TypeaheadItem) | null

The test's meta link items

object
levelId
integer (int32)

The type ahead item's level ID

objectId
integer (int32)

The type ahead item's objectId

name
string | null

The type ahead item's name

leftDataSource
object (Configuration.Api.Models.v1.TestDataSource)
hasMetadata
boolean

Whether the data source has metadata

canViewMetadata
boolean

Whether the user can view metadata

isActive
boolean

Whether the data source is active

id
integer (int32)

The object's ID

name
string | null

The object's name

rightDataSource
object (Configuration.Api.Models.v1.TestDataSource)
hasMetadata
boolean

Whether the data source has metadata

canViewMetadata
boolean

Whether the user can view metadata

isActive
boolean

Whether the data source is active

id
integer (int32)

The object's ID

name
string | null

The object's name

profileAggregates
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

The test's profile aggregates

object
id
integer (int32)

The object's ID

name
string | null

The object's name

profileWindows
Array of object (Configuration.Api.Models.v1.Common.KeyValue) | null

The test's profile windows

object
id
integer (int32)

The object's ID

name
string | null

The object's name

leftLatestProfileResults
Array of object (Configuration.Api.Models.v1.LatestProfileResult) | null

The test's profile left/source latest profile results

object
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

levelId
integer (int32)

The profile result's level ID

display
string | null

The profile result's display

leftLatestNumericProfileHistoryResult
number (double) | null

The test's profile left/source latest numeric profile history

rightLatestProfileResults
Array of object (Configuration.Api.Models.v1.LatestProfileResult) | null

The test's profile right/target latest profile results

object
context
object (Configuration.Api.Models.v1.DataSetConfigProfileContext)
tableId
integer (int32)

The profile context's table ID

columnId
integer (int32) | null

The profile context's column ID

profileDefId
integer (int32)

The profile context's profile def ID

levelId
integer (int32)

The profile result's level ID

display
string | null

The profile result's display

rightLatestNumericProfileHistoryResult
number (double) | null

The test's profile right/target latest numeric profile history

leftLatestStringProfileHistoryResult
string | null

The test's profile left/source latest string profile history

rightLatestStringProfileHistoryResult
string | null

The test's profile right/target latest string profile history

versionInfo
object (Configuration.Api.Models.v1.VersionInfo)
versionId
integer (int32)

The version info's version ID

versionNumber
integer (int32)

The version info's version number

latestVersionName
string | null

The version info's latest version name

latestVersionNumber
integer (int32)

The version info's latest version number

createdInfo
string | null

The version info's creation info

versions
Array of object (Configuration.Api.Models.v1.TestVersion) | null

The version info's list of test versions

object
number
integer (int32)

The version's number

name
string | null

The version's name

creationDate
string | null

The version's creation date

creationTime
string | null

The version's creation time

creator
string | null

The version's creator

labels
Array of string | null

The version's assigned labels

string
assignedLabels
Array of object (Configuration.Api.Models.v1.AssignedLabel) | null

The test's assigned labels

object
id
integer (int32)

The ID of the label assignment

labelId
integer (int32)

The ID of the label

labelName
string | null

The name of the label

isLocked
boolean

Whether the label is locked

defaultStringEvaluationOperatorId
integer (int32)

The test's default string evaluation operator ID

defaultStringEvaluationResultId
integer (int32)

The test's default string evaluation result ID

defaultStringCaseSensitive
boolean

Whether the test's default string is case sensitive

isTestAuthor
boolean

Whether the user is a test author

canAccessLeftDataSource
boolean

Whether the user can access the left/source data source

canAccessRightDataSource
boolean

Whether the user can access the right/target data source

canRunTests
boolean

Whether the user can run tests

canViewResults
boolean

Whether the user can view results

404

Not Found

object
error
string | null